#pragma once
#include "mainviewbase.h"
#include "DirectoryListCtrl.h"
#include "IconButton2.h"

class CDirectoryView :
	public CMainViewBase
{
public:
	CDirectoryView(void);
	virtual ~CDirectoryView(void);
	DECLARE_MESSAGE_MAP()
	afx_msg void OnPaint();

	CIconButton2		m_new;
	CIconButton2		m_edit;
	CIconButton2		m_del;
	CConfigAccess		m_pathSetting;

	void NewPath(CString pathName);
	void EditPath(CString pathName);
	CString GetNewPath();

	CDirectoryListCtrl	m_directoryList;
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg LRESULT OnToolClick(WPARAM wParam, LPARAM lParam);

	int GetFirstSelect();
};
